#include<iostream>
using namespace std;
main(){
int t,k,p=0;
cin>>t>>k;
int n[t];
for(int i=0;i<t;i++){
    cin>>n[i];

}
for(int i=0;i<t;i++){
        if(n[i]!=k)continue;
        if(i==t-1){cout<<n[0];break;}
        else{cout<<n[i+1]; break;}
        }
}